summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-08-11 18:21:47 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-08-11 18:21:47 +0200
commitffb6d1aaedaa3882e356d7d58a5734b6f6a653e7 (patch)
tree12be3ae2a78111bd8e74ab34b0d30b57836f17f0
parent557b4e5d5bb85919c6dc0f87d27d7df07616f7fd (diff)
[mpass] added notification
-rwxr-xr-xbin/menuscripts/mpass8
1 files changed, 5 insertions, 3 deletions
diff --git a/bin/menuscripts/mpass b/bin/menuscripts/mpass
index a50f0fb..8153dc6 100755
--- a/bin/menuscripts/mpass
+++ b/bin/menuscripts/mpass
@@ -20,6 +20,8 @@ done
test -z "$file" && exit 1
pass show -c "$file" &&
if [ -n "$WAYLAND_DISPLAY" ] && cliphist list >/dev/null
-then
- cliphist list | head -n 1 | cliphist delete
-fi
+ then
+ cliphist list | head -n 1 | cliphist delete
+ fi ||
+ exit 1
+notify-send "mpass" "copied <b>$choice</b>"